
Foreman - Bug #33617

"All audits" link in host details page doesn't work

10/03/2021 05:16 PM - Amir Fefer

Status: Closed   

Priority: Normal   

Assignee: Amir Fefer   

Category: Web Interface   

Target version: 3.0.1   

Difficulty:  Fixed in Releases: 3.0.1, 3.1.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8808

  

Description

Adding the hash router overrides the history so `<Link>` won't use the primary react router.

Related issues:

Related to Foreman - Tracker #33499: The new host detail page enhancements tr... Resolved

Associated revisions

Revision e8caad7f - 10/05/2021 06:51 AM - Amir Fefer

Fixes #33617 - fix 'All audits' link in host details page

History

#1 - 10/03/2021 05:17 PM - Amir Fefer

- Related to Tracker #33499: The new host detail page enhancements tracker added

#2 - 10/03/2021 05:18 PM - Amir Fefer

- Subject changed from All audit link in host details page doesn't work to "All audits" link in host details page doesn't work

#3 - 10/03/2021 05:22 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8808 added

#4 - 10/05/2021 06:51 AM - The Foreman Bot

- Fixed in Releases 3.1.0 added

#5 - 10/05/2021 07:01 AM - Amir Fefer

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|e8caad7f39b37abcb7486d76c1daa72c1a8a072a.

#6 - 10/13/2021 12:45 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/8838 added

#7 - 10/13/2021 02:21 PM - Ewoud Kohl van Wijngaarden

- Pull request deleted (https://github.com/theforeman/foreman/pull/8838)

#8 - 10/18/2021 04:14 PM - The Foreman Bot

- Fixed in Releases 3.0.1 added
